Package: org.codehaus.groovy.classgen.asm.indy

## [Java] Class IndyBinHelper

- org.codehaus.groovy.classgen.asm.indy.IndyBinHelper

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyBinHelper (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpressionHelper` | `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, writePostOrPrefixMethod`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public IndyBinHelper(WriterController wc)

  - ### Method Detail

    - #### @Override protected void writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)